=== debian/changelog ===
ros-galactic-moveit-ros-planning-interface (2.3.4-1focal) focal; urgency=high

  * Add moveit_configs_utils package to simplify loading paramters (backport #591 <https://github.com/ros-planning/moveit2/issues/591>) (#1019 <https://github.com/ros-planning/moveit2/issues/1019>)
  * Contributors: AndyZe, Stephanie Eng, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 07 Feb 2022 07:00:00 -0000

ros-galactic-moveit-ros-planning-interface (2.3.3-1focal) focal; urgency=high

  * Fix boost linking errors for Windows (#957 <https://github.com/ros-planning/moveit2/issues/957>) (#1001 <https://github.com/ros-planning/moveit2/issues/1001>)
  * Contributors: mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 07:00:00 -0000

ros-galactic-moveit-ros-planning-interface (2.3.2-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 07:00:00 -0000

ros-galactic-moveit-ros-planning-interface (2.3.1-1focal) focal; urgency=high

  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Consider simulated time (#883 <https://github.com/ros-planning/moveit2/issues/883>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Find/replace deprecated spawner.py (#737 <https://github.com/ros-planning/moveit2/issues/737>)
  * common_objects: getSharedRobotModelLoader fix deadlock (#734 <https://github.com/ros-planning/moveit2/issues/734>)
  * fix trajectory constraints for moveit commander (#2429 <https://github.com/ros-planning/moveit/issues/2429>)
  * MGI::setStartState: Only fetch current state when new state is diff (#2775 <https://github.com/ros-planning/moveit/issues/2775>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: AndyZe, Dave Coleman, David V. Lu!!, Felix von Drigalski, Gaël Écorchard, Henning Kayser, Jafar Abdi, Kevin Chang, Robert Haschke, pvanlaar

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 07:00:00 -0000

ros-galactic-moveit-ros-planning-interface (2.3.0-1focal) focal; urgency=high

  * Support passing MoveGroup's namespace to MoveGroupInterface (#533 <https://github.com/ros-planning/moveit2/issues/533>)
  * Add getSharedRobotModelLoader to fix race condition when having multiple displays for the same node (#525 <https://github.com/ros-planning/moveit2/issues/525>)
  * Make TF buffer & listener in PSM private (#654 <https://github.com/ros-planning/moveit2/issues/654>)
    * Add private buffer & tf listener to PSM
    * Remove coupled deleter
    * Decouple PSM from CSM
    * Deprecate old constructors
  * getInterfaceDescription: Fix rclcpp API breakage (#686 <https://github.com/ros-planning/moveit2/issues/686>)
  * [main] Migrate to joint_state_broadcaster (#657 <https://github.com/ros-planning/moveit2/issues/657>)
  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Create a transform subscribers to enable virtual joints (#310 <https://github.com/ros-planning/moveit2/issues/310>)
  * Fix loading joint_limits.yaml in demo and test launch files (#544 <https://github.com/ros-planning/moveit2/issues/544>)
  * Fixes for Windows (#530 <https://github.com/ros-planning/moveit2/issues/530>)
  * Contributors: Akash, Jafar Abdi, Nisala Kalupahana, Jorge Nicho, Henning Kayser, Vatan Aksoy Tezer, Tyler Weaver, Lior Lustgarten

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Oct 2021 06:00:00 -0000

ros-galactic-moveit-ros-planning-interface (2.2.1-1focal) focal; urgency=high

  * Fix test dependencies (#539 <https://github.com/ros-planning/moveit2/issues/539>)
  * Contributors: Jochen Sprickerhof

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Jul 2021 06:00:00 -0000

ros-galactic-moveit-ros-planning-interface (2.2.0-1focal) focal; urgency=high

  * Enable Rolling and Galactic CI (#494 <https://github.com/ros-planning/moveit2/issues/494>)
  * [sync] with MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
    * Allow selecting planning pipeline in MotionSequenceAction (#2657 <https://github.com/ros-planning/moveit/issues/2657>)
    * planning_interface: synchronize async interfaces in test (#2640 <https://github.com/ros-planning/moveit/issues/2640>)
    * Add planning_pipeline_id setting to Python MGI (#2622 <https://github.com/ros-planning/moveit/issues/2622>)
    * fix docstring in MGI API (#2626 <https://github.com/ros-planning/moveit/issues/2626>)
    * Support multiple planning pipelines with MoveGroup via MoveItCpp (#2127 <https://github.com/ros-planning/moveit/issues/2127>)Deprecate namespace moveit::planning_interface in favor of moveit_cpp
    
      * add get_active_joint_names (#2533 <https://github.com/ros-planning/moveit/issues/2533>)
      * Add debugging log statement for a common error (#2509 <https://github.com/ros-planning/moveit/issues/2509>)
      * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
    
  * Contributors: Felix von Drigalski, Henning Kayser, JafarAbdi, Michael Görner, Peter Mitrano, Robert Haschke, Tyler Weaver, Vatan Aksoy Tezer, petkovich

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 30 Jun 2021 06:00:00 -0000

ros-galactic-moveit-ros-planning-interface (2.1.4-1focal) focal; urgency=high

  * Disable flaky test (#482 <https://github.com/ros-planning/moveit2/issues/482>)
  * Delete MoveIt fake_controller_manager (#471 <https://github.com/ros-planning/moveit2/issues/471>)

