=== debian/control ===
Source: ros-galactic-moveit-ros-planning-interface
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, python3-dev, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest, ros-galactic-ament-lint-auto, ros-galactic-eigen3-cmake-module, ros-galactic-geometry-msgs, ros-galactic-moveit-common, ros-galactic-moveit-configs-utils, ros-galactic-moveit-core, ros-galactic-moveit-msgs, ros-galactic-moveit-planners-ompl, ros-galactic-moveit-resources-fanuc-moveit-config, ros-galactic-moveit-resources-panda-moveit-config, ros-galactic-moveit-ros-move-group, ros-galactic-moveit-ros-planning, ros-galactic-moveit-ros-warehouse, ros-galactic-moveit-simple-controller-manager, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rclpy, ros-galactic-ros-testing, ros-galactic-rviz2, ros-galactic-tf2, ros-galactic-tf2-eigen, ros-galactic-tf2-geometry-msgs, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-galactic-moveit-ros-planning-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, ros-galactic-geometry-msgs, ros-galactic-moveit-core, ros-galactic-moveit-msgs, ros-galactic-moveit-ros-move-group, ros-galactic-moveit-ros-planning, ros-galactic-moveit-ros-warehouse, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rclpy, ros-galactic-tf2, ros-galactic-tf2-eigen, ros-galactic-tf2-geometry-msgs, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Description: Components of MoveIt that offer simpler interfaces to planning and execution
